package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.RoleMenu;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface RoleMenuDAO {
	int insert(RoleMenu entity);
	int update(RoleMenu entity);
	int exist(String id);
	RoleMenu get(String id);
	int delete(String id);
	List<RoleMenu> list();
	List<RoleMenu> search(Map<String,Object> searchParams,List<Sort> sortList);

	List<RoleMenu> findByRoleId(String roleId);

	int deleteByRoleId(String roleId);
}